## GimpUnitStore

GimpUnitStore

## Functions

GimpUnitStore * | gimp_unit_store_new ()
void | gimp_unit_store_set_has_pixels ()
gboolean | gimp_unit_store_get_has_pixels ()
void | gimp_unit_store_set_has_percent ()
gboolean | gimp_unit_store_get_has_percent ()
void | gimp_unit_store_set_pixel_value ()
void | gimp_unit_store_set_pixel_values ()
void | gimp_unit_store_set_resolution ()
void | gimp_unit_store_set_resolutions ()
gdouble | gimp_unit_store_get_value ()
void | gimp_unit_store_get_values ()

## Properties

gboolean | has-percent | Read / Write
gboolean | has-pixels | Read / Write
gchar * | long-format | Read / Write
gint | num-values | Read / Write / Construct Only
gchar * | short-format | Read / Write

## Types and Values

| GimpUnitStore

## Object Hierarchy

        GObject
        ╰── GimpUnitStore

## Implemented Interfaces

GimpUnitStore implements GtkTreeModel.

## Description

## Functions

### gimp_unit_store_new ()

    GimpUnitStore *
    gimp_unit_store_new (gint num_values);

### gimp_unit_store_set_has_pixels ()

    void
    gimp_unit_store_set_has_pixels (GimpUnitStore *store,
                                    gboolean has_pixels);

### gimp_unit_store_get_has_pixels ()

    gboolean
    gimp_unit_store_get_has_pixels (GimpUnitStore *store);

### gimp_unit_store_set_has_percent ()

    void
    gimp_unit_store_set_has_percent (GimpUnitStore *store,
                                     gboolean has_percent);

### gimp_unit_store_get_has_percent ()

    gboolean
    gimp_unit_store_get_has_percent (GimpUnitStore *store);

### gimp_unit_store_set_pixel_value ()

    void
    gimp_unit_store_set_pixel_value (GimpUnitStore *store,
                                     gint index,
                                     gdouble value);

### gimp_unit_store_set_pixel_values ()

    void
    gimp_unit_store_set_pixel_values (GimpUnitStore *store,
                                      gdouble first_value,
                                      ...);

### gimp_unit_store_set_resolution ()

    void
    gimp_unit_store_set_resolution (GimpUnitStore *store,
                                    gint index,
                                    gdouble resolution);

### gimp_unit_store_set_resolutions ()

    void
    gimp_unit_store_set_resolutions (GimpUnitStore *store,
                                     gdouble first_resolution,
                                     ...);

### gimp_unit_store_get_value ()

    gdouble
    gimp_unit_store_get_value (GimpUnitStore *store,
                               GimpUnit unit,
                               gint index);

### gimp_unit_store_get_values ()

    void
    gimp_unit_store_get_values (GimpUnitStore *store,
                                GimpUnit unit,
                                gdouble *first_value,
                                ...);

## Types and Values

### GimpUnitStore

    typedef struct _GimpUnitStore GimpUnitStore;

## Property Details

### The `“has-percent”` property

      “has-percent”              gboolean

Whether the store has GIMP_UNIT_PERCENT.

Flags: Read / Write

Default value: FALSE

### The `“has-pixels”` property

      “has-pixels”               gboolean

Whether the store has GIMP_UNIT_PIXELS.

Flags: Read / Write

Default value: TRUE

### The `“long-format”` property

      “long-format”              gchar *

Format string for a long label.

Flags: Read / Write

Default value: "%p"

### The `“num-values”` property

      “num-values”               gint

The number of values this store provides.

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0

### The `“short-format”` property

      “short-format”             gchar *

Format string for a short label.

Flags: Read / Write

Default value: "%a"